#!/usr/bin/env bash
set -e

# Retrieve the configured external port from the options
external_port=$(bashio::config 'external_port')

# Configure port mapping dynamically
echo "Mapping internal port 80 to external port ${external_port}"

# Ensure that apache2 is installed and start it using OpenRC
httpd -D FOREGROUND

# Keep the container running
tail -f /dev/null
